Zum Inhalt springen

Embed Product

Integrieren

Modell-ID bria/embed-product
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/embed-product?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_source": "example"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,04 $ 40 API-Credits Auf dieser Seite ausführen

API-Schlüssel abrufen
Bria AI · Bild

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich

Bild-URL.

Erweitert seed · products
Standard 5555

Seed zur Steuerung der Zufälligkeit für reproduzierbare Ergebnisse.

Als Liste bereitgestellte Produkte, die in das Bild eingefügt werden sollen.

POST /run/bria/embed-product?wait=20 Preis → 0,04 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/embed-product?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_source": "example"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Embed Product

Verarbeitet über `image_source` ein Szenenbild und eine Liste von `products` mit 1 bis 10 Einträgen, die darin platziert werden. Perspektive und Beleuchtung werden für jedes platzierte Element angepasst. Ein `seed` (Standardwert 5555) ermöglicht reproduzierbare Ergebnisse. Der Endpunkt eignet sich für Werbe- und E-Commerce-Kompositionen und gibt ein einzelnes Bild sowie den Seed zurück.

Parameter

NameTyp StandardZulässig Beschreibung
image_sourceerforderlich
Typstring
Bild-URL.
productsoptional
Typobject[]
≤ 10 Elemente
Als Liste bereitgestellte Produkte, die in das Bild eingefügt werden sollen.
products[].image_sourceerforderlich
Typstring
Bild-URL.
products[].coordinateserforderlich
Typobject
products[].coordinates.xerforderlich
Typnumber
Platzierung des Produkts entlang der X-Achse des Bildes.
products[].coordinates.yerforderlich
Typnumber
Platzierung des Produkts entlang der Y-Achse des Bildes.
products[].coordinates.widtherforderlich
Typnumber
Produktbreite innerhalb des Bildes.
products[].coordinates.heighterforderlich
Typnumber
Produkthöhe innerhalb des Bildes.
seedoptional
Typinteger
Standard5555
Seed zur Steuerung der Zufälligkeit für reproduzierbare Ergebnisse.
erforderlich

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/embed-product",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "image_source": "example"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
image
object {url, content_type, file_name, file_size, width, height}Ausgabebild mit den eingefügten Produkten.
seed
integerBei der Generierung verwendeter Seed.

Weitere Modelle: Bildbearbeitung

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/bria/embed-product.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt